Bug 14753 - Show accession date on checkin
Summary: Show accession date on checkin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jesse Weaver
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-28 16:47 UTC by Jesse Weaver
Modified: 2017-06-14 22:10 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14753 - Show accession date on checkin (3.36 KB, patch)
2016-02-10 01:00 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.56 KB, patch)
2016-02-10 01:00 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Show accession date on checkin (3.42 KB, patch)
2016-02-10 01:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.62 KB, patch)
2016-02-10 01:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Show accession date on checkin (3.42 KB, patch)
2016-02-26 15:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.58 KB, patch)
2016-02-26 15:13 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.57 KB, patch)
2016-02-26 15:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 14753 - Show accession date on checkin (3.56 KB, patch)
2016-02-26 16:02 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.71 KB, patch)
2016-02-26 16:03 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14753 - Show accession date on checkin (3.62 KB, patch)
2016-03-01 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14753 - Use columns configuration for checkins table (4.78 KB, patch)
2016-03-01 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14753: Add the "page" parameter in the yml file (775 bytes, patch)
2016-03-01 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14753: Use the KohaDates plugin to display dates (2.24 KB, patch)
2016-03-01 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14753: Improve the table display (2.22 KB, patch)
2016-03-01 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14753: Improve the table display (2.62 KB, patch)
2016-03-01 15:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2015-08-28 16:47:00 UTC
This will have a CSS class for easy hiding.
Comment 1 Katrin Fischer 2015-08-29 16:15:44 UTC
Maybe we could also use the columns configuration for the table on this page?
Comment 2 Nick Clemens 2016-02-10 01:00:33 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-02-10 01:00:41 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2016-02-10 01:03:05 UTC Comment hidden (obsolete)
Comment 5 Nick Clemens 2016-02-10 01:03:08 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2016-02-11 13:36:01 UTC
Hi Nick,

There is a stray i in returns.tt line 10

<title>Koha &rsaquo; Circulation &rsaquo; Check in [% title %]</title>i
Comment 7 Nick Clemens 2016-02-26 15:13:01 UTC Comment hidden (obsolete)
Comment 8 Nick Clemens 2016-02-26 15:13:05 UTC Comment hidden (obsolete)
Comment 9 Nick Clemens 2016-02-26 15:14:03 UTC
(In reply to Marc Véron from comment #6)
> There is a stray i in returns.tt line 10

Thanks Marc - fixed and rebased
Comment 10 Marc Véron 2016-02-26 15:37:20 UTC
Hi Nick,

I tested, the 'Show/hide columns' button does not appear and I have a JavaScript error (browser cache cleared):

Zeitstempel: 26.02.2016 16:35:06
Fehler: SyntaxError: expected expression, got keyword 'var'
Quelldatei: http://10.0.0.62:8080/cgi-bin/koha/circ/returns.pl
Zeile: 411, Spalte: 4
Quelltext:
    var returns_table = KohaTable("#checkedintable", {
Comment 11 Nick Clemens 2016-02-26 15:53:57 UTC Comment hidden (obsolete)
Comment 12 Marc Véron 2016-02-26 16:02:50 UTC Comment hidden (obsolete)
Comment 13 Marc Véron 2016-02-26 16:03:34 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2016-03-01 09:56:02 UTC
Created attachment 48489 [details] [review]
Bug 14753 - Show accession date on checkin

This patch adds the dateaccessioned column fro an item to the display on
returns.pl. The column is added with a CSS class for easy selection.

To test:
Check in some items
Note date accessioned is not shown
Apply patch
Refresh page
Check in some items
See the added column 'Date acquired'

Sponsored by: North Central Regional Library (ncrl.org)

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2016-03-01 09:56:07 UTC
Created attachment 48490 [details] [review]
Bug 14753 - Use columns configuration for checkins table

This patch adds the ability to configrue the visible columns on the
check in screen.

To test with both patches:
1 - Check in an item
2 - Note there is no 'Date acquired' column
3 - Apply  patches
4 - Note there is still no 'Date acquired' column
5 - Note that there is now a "Show / hide columns" button
6 - Verify that you can check the box and view the 'Date acquired'
column
7 - Verify that showing/hiding columns works (it will not carry over
        between items due to page reload)
8 - Verify that changes from the 'Configure columns' section of
Administration hold between checkins

Sponsored by: North Central Regional Library (ncrl.org)

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2016-03-01 09:56:12 UTC
Created attachment 48491 [details] [review]
Bug 14753: Add the "page" parameter in the yml file

checkedintable is on the returns page

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2016-03-01 09:56:16 UTC
Created attachment 48492 [details] [review]
Bug 14753: Use the KohaDates plugin to display dates

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2016-03-01 09:56:20 UTC Comment hidden (obsolete)
Comment 19 Jonathan Druart 2016-03-01 15:32:15 UTC
Created attachment 48516 [details] [review]
Bug 14753: Improve the table display

- thead should contain a tr
- use a correct dom for the table

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Brendan Gallagher 2016-03-02 04:20:21 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks